%define name qemu
%define version 1.1.0
%define release 1
%define srcrelease 1

%ifarch i386
%define libdir %{_prefix}/lib
%endif
%ifarch x86_64
%define libdir %{_prefix}/lib64
%endif
%define mandir %{_prefix}/share/man

# Macro that print mesages to syslog at package (un)install time
%define nnmmsg logger -t %{name}/rpm

Summary: QEMU is a generic and open source machine emulator and virtualizer.
URL: http://wiki.qemu.org/Main_Page
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Application/System
Source0: %{name}-%{version}-%{srcrelease}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: gcc
Requires: bash, grep, /usr/bin/logger, chkconfig, sh-utils, shadow-utils, sed, initscripts, fileutils, mktemp

%post
ldconfig -n %{libdir}

%description
QEMU is a generic and open source machine emulator and virtualizer.


%prep
%setup -q


%build
export PATH=$PATH:/usr/sbin
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{libdir} \
	--mandir=%{mandir} \
	--sysconfdir=/etc \
	--enable-debug
#	--target-list=arm-softmmu,arm-linux-user \

make all

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d -m 0755 ${RPM_BUILD_ROOT}/%{libdir}
install -d -m 0755 ${RPM_BUILD_ROOT}/%{mandir}
install -d -m 0755 ${RPM_BUILD_ROOT}/%{_prefix}/include
make DESTDIR=${RPM_BUILD_ROOT} install

# install templated configuration files

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(755,root,root)
%dir /etc/qemu
/etc/qemu/*
%{_prefix}/share/*
%{_prefix}/bin/qemu-ga
%{_prefix}/bin/qemu-img
%{_prefix}/bin/qemu-io
%{_prefix}/bin/qemu-nbd
%{_prefix}/libexec/qemu-bridge-helper
#%defattr(755,root,root)
#%doc Changelog COPYING README 


%package arm
Group: Application/System
Summary: Provides the qemu binaries for the ARM architecture
Requires: qemu

%description arm
QEMU is a generic and open source machine emulator and virtualizer.

%files arm
%defattr(755,root,root)
%{_prefix}/bin/qemu-arm
%{_prefix}/bin/qemu-armeb
%{_prefix}/bin/qemu-system-arm

%package armeb
Group: Application/System
Summary: Provides the qemu binaries for the ARMeb architecture
Requires: qemu

%description armeb
QEMU is a generic and open source machine emulator and virtualizer.

%files armeb
%defattr(755,root,root)
%{_prefix}/bin/qemu-armeb

%package i386
Group: Application/System
Summary: Provides the qemu binaries for the i386 architecture
Requires: qemu

%description i386
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the i386 architecture

%files i386
%defattr(755,root,root)
%{_prefix}/bin/qemu-i386
%{_prefix}/bin/qemu-system-i386

%package x86_64
Group: Application/System
Summary: Provides the qemu binaries for the x86_64 architecture
Requires: qemu

%description x86_64
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the x86_64 architecture

%files x86_64
%defattr(755,root,root)
%{_prefix}/bin/qemu-x86_64
%{_prefix}/bin/qemu-system-x86_64

%package alpha
Group: Application/System
Summary: Provides the qemu binaries for the alpha architecture
Requires: qemu

%description alpha
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the alpha architecture

%files alpha
%defattr(755,root,root)
%{_prefix}/bin/qemu-alpha
%{_prefix}/bin/qemu-system-alpha

%package cris
Group: Application/System
Summary: Provides the qemu binaries for the cris architecture
Requires: qemu

%description cris
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the cris architecture

%files cris
%defattr(755,root,root)
%{_prefix}/bin/qemu-cris
%{_prefix}/bin/qemu-system-cris

%package lm32
Group: Application/System
Summary: Provides the qemu binaries for the lm32 architecture
Requires: qemu

%description lm32
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the lm32 architecture

%files lm32
%defattr(755,root,root)
%{_prefix}/bin/qemu-system-lm32

%package m68k
Group: Application/System
Summary: Provides the qemu binaries for the m68k architecture
Requires: qemu

%description m68k
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the m68k architecture

%files m68k
%defattr(755,root,root)
%{_prefix}/bin/qemu-m68k
%{_prefix}/bin/qemu-system-m68k

%package microblaze
Group: Application/System
Summary: Provides the qemu binaries for the microblaze architecture
Requires: qemu

%description microblaze
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the microblaze architecture

%files microblaze
%defattr(755,root,root)
%{_prefix}/bin/qemu-microblaze
%{_prefix}/bin/qemu-system-microblaze

%package microblazeel
Group: Application/System
Summary: Provides the qemu binaries for the microblazeel architecture
Requires: qemu

%description microblazeel
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the microblazeel architecture

%files microblazeel
%defattr(755,root,root)
%{_prefix}/bin/qemu-microblazeel
%{_prefix}/bin/qemu-system-microblazeel

%package mips
Group: Application/System
Summary: Provides the qemu binaries for the mips architecture
Requires: qemu

%description mips
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the mips architecture

%files mips
%defattr(755,root,root)
%{_prefix}/bin/qemu-mips
%{_prefix}/bin/qemu-system-mips

%package mipsel
Group: Application/System
Summary: Provides the qemu binaries for the mipsel architecture
Requires: qemu

%description mipsel
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the mipsel architecture

%files mipsel
%defattr(755,root,root)
%{_prefix}/bin/qemu-mipsel
%{_prefix}/bin/qemu-system-mipsel

%package mips64
Group: Application/System
Summary: Provides the qemu binaries for the mips64 architecture
Requires: qemu

%description mips64
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the mips64 architecture

%files mips64
%defattr(755,root,root)
#%{_prefix}/bin/qemu-mips64
%{_prefix}/bin/qemu-system-mips64

%package mips64el
Group: Application/System
Summary: Provides the qemu binaries for the mips64el architecture
Requires: qemu

%description mips64el
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the mips64el architecture

%files mips64el
%defattr(755,root,root)
#%{_prefix}/bin/qemu-mips64el
%{_prefix}/bin/qemu-system-mips64el

%package ppc
Group: Application/System
Summary: Provides the qemu binaries for the ppc architecture
Requires: qemu

%description ppc
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the ppc architecture

%files ppc
%defattr(755,root,root)
%{_prefix}/bin/qemu-ppc
%{_prefix}/bin/qemu-system-ppc

%package ppcemb
Group: Application/System
Summary: Provides the qemu binaries for the ppcemb architecture
Requires: qemu

%description ppcemb
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the ppcemb architecture

%files ppcemb
%defattr(755,root,root)
#%{_prefix}/bin/qemu-ppcemb
%{_prefix}/bin/qemu-system-ppcemb

%package ppc64
Group: Application/System
Summary: Provides the qemu binaries for the ppc64 architecture
Requires: qemu

%description ppc64
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the ppc64 architecture

%files ppc64
%defattr(755,root,root)
%{_prefix}/bin/qemu-ppc64
%{_prefix}/bin/qemu-ppc64abi32
%{_prefix}/bin/qemu-system-ppc64

%package sh4
Group: Application/System
Summary: Provides the qemu binaries for the sh4 architecture
Requires: qemu

%description sh4
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the sh4 architecture

%files sh4
%defattr(755,root,root)
%{_prefix}/bin/qemu-sh4
%{_prefix}/bin/qemu-system-sh4

%package sh4eb
Group: Application/System
Summary: Provides the qemu binaries for the sh4eb architecture
Requires: qemu

%description sh4eb
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the sh4eb architecture

%files sh4eb
%defattr(755,root,root)
%{_prefix}/bin/qemu-sh4eb
%{_prefix}/bin/qemu-system-sh4eb

%package sparc
Group: Application/System
Summary: Provides the qemu binaries for the sparc architecture
Requires: qemu

%description sparc
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the sparc architecture

%files sparc
%defattr(755,root,root)
%{_prefix}/bin/qemu-sparc
%{_prefix}/bin/qemu-sparc32plus
%{_prefix}/bin/qemu-system-sparc

%package sparc64
Group: Application/System
Summary: Provides the qemu binaries for the sparc64 architecture
Requires: qemu

%description sparc64
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the sparc64 architecture

%files sparc64
%defattr(755,root,root)
%{_prefix}/bin/qemu-sparc64
%{_prefix}/bin/qemu-system-sparc64

%package s390x
Group: Application/System
Summary: Provides the qemu binaries for the s390x architecture
Requires: qemu

%description s390x
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the s390x architecture

%files s390x
%defattr(755,root,root)
%{_prefix}/bin/qemu-s390x
%{_prefix}/bin/qemu-system-s390x

%package unicore32
Group: Application/System
Summary: Provides the qemu binaries for the unicore32 architecture
Requires: qemu

%description unicore32
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the unicore32 architecture

%files unicore32
%defattr(755,root,root)
%{_prefix}/bin/qemu-unicore32

%package xtensa
Group: Application/System
Summary: Provides the qemu binaries for the xtensa architecture
Requires: qemu

%description xtensa
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the xtensa architecture

%files xtensa
%defattr(755,root,root)
#%{_prefix}/bin/qemu-xtensa
%{_prefix}/bin/qemu-system-xtensa

%package xtensaeb
Group: Application/System
Summary: Provides the qemu binaries for the xtensaeb architecture
Requires: qemu

%description xtensaeb
QEMU is a generic and open source machine emulator and virtualizer.
Provides the qemu binaries for the xtensaeb architecture

%files xtensaeb
%defattr(755,root,root)
#%{_prefix}/bin/qemu-xtensaeb
%{_prefix}/bin/qemu-system-xtensaeb


%changelog
* Wed Jul 11 2012 Todd Shadburn <tshadburn@opencomputingsolutions.com>
	- New .spec file created.

